
<?php
require_once "nusoap/lib/nusoap.php";
include '../../conexion/conn.php';
session_start();
$usuario=$_SESSION['rut'];

$planillas=array();
$planillas2=array();
$cajas_det=array();
$resultado="BIEN";
$cliente_web = new nusoap_client("http://cproceso.inglobochile.cl/Sincronizar/API3/servidor_planillas31-03-2017.php");
//echo $cliente_web;

//SUBIR PLANILLA CALIDAD
$rs = mysql_query("SELECT * FROM planilla_control where (usu_crea='$usuario' or usuario_rut='$usuario') and (sincro='N' or sincro='NE')");
	while($row = mysql_fetch_array($rs)){
		
		
		$planillas=$cliente_web->call("guardar_planilla" , array("folio_planilla"=>$row['folio_planilla'], "cliente_cod"=>$row['cliente_cod'], "exportador_cod"=>$row['exportador_cod'], "packing_cod"=>$row['packing_cod'], "especie_cod"=>$row['especie_cod'], "usuario_rut"=>$row['usuario_rut'], "fecha_inspeccion"=>$row['fecha_inspeccion'], "norma_id"=>$row['norma_id'], "turno"=>$row['turno'], "usu_crea"=>$row['usu_crea'], "fecha_crea"=>$row['fecha_crea'], "estado"=>$row['estado'], "obs"=>$row['obs'], "sincro"=>$row['sincro']));	
		
		//echo $planillas;	//debuelve folio_planilla
				
		$sql = "UPDATE planilla_control SET  
		sincro='S'
		WHERE folio_planilla='$planillas'";
		$result = @mysql_query($sql);
		if ($result){
			$resultado="BIEN";
		} else {
			$resultado="HUBO ERRORES";
		}
		
	
	}

//EDITAR PLANILLA
$rs = mysql_query("SELECT * FROM planilla_control where (usu_crea='$usuario' or usuario_rut='$usuario') and sincro='E'");
	while($row = mysql_fetch_array($rs)){
		
		$planillas2=$cliente_web->call("editar_planilla" , array("folio_planilla"=>$row['folio_planilla'], "cliente_cod"=>$row['cliente_cod'], "exportador_cod"=>$row['exportador_cod'], "packing_cod"=>$row['packing_cod'], "especie_cod"=>$row['especie_cod'], "usuario_rut"=>$row['usuario_rut'], "fecha_inspeccion"=>$row['fecha_inspeccion'], "norma_id"=>$row['norma_id'], "turno"=>$row['turno'], "usu_crea"=>$row['usu_crea'], "fecha_crea"=>$row['fecha_crea'], "estado"=>$row['estado'], "obs"=>$row['obs'], "sincro"=>$row['sincro']));
		
		//echo $planillas2;	//debuelve folio_planilla
				
		$sql = "UPDATE planilla_control SET  
		sincro='S'
		WHERE folio_planilla='$planillas2'";
		$result = @mysql_query($sql);
		if ($result){
	
				$resultado="BIEN";
			
			
		} else {
			$resultado="HUBO ERRORES";
		}
		
	}

//SUBIR PLANILLA DATOS
$rs = mysql_query("SELECT * FROM planilla_datos where (usu_crea='$usuario') and (sincro='N' or sincro='NE')");
	while($row = mysql_fetch_array($rs)){
		
		
		$planillas=$cliente_web->call("guardar_planilla_datos" , array("planilla_id"=>$row['planilla_id'], "folio_planilla"=>$row['folio_planilla'], "hora_registro"=>$row['hora_registro'], "valor1_ingresado"=>$row['valor1_ingresado'], "valor2_ingresado"=>$row['valor2_ingresado'], "id_norma_detalle"=>$row['id_norma_detalle'], "defecto_id"=>$row['defecto_id'], "norma_id"=>$row['norma_id'], "cumple_norma"=>$row['cumple_norma'], "a_correctiva"=>$row['a_correctiva'], "nlote"=>$row['nlote'], "npallet"=>$row['npallet'], "nproceso"=>$row['nproceso'], "nhidro"=>$row['nhidro'], "nfrio"=>$row['nfrio'], "ncamara"=>$row['ncamara'], "nembarque"=>$row['nembarque'], "nlinea"=>$row['nlinea'], "nsalida"=>$row['nsalida'], "nespecie"=>$row['nespecie'], "observacion"=>$row['observacion'], "usu_crea"=>$row['usu_crea'], "fecha_crea"=>$row['fecha_crea'], "sincro"=>$row['sincro']));	
		
		//echo $planillas;	//debuelve folio_planilla
				
					$sql = "UPDATE planilla_datos SET  
					sincro='S'
					WHERE planilla_id='$planillas'";
					$result = @mysql_query($sql);
				
		
		if ($result){
				$resultado="BIEN";
		
		} else {
			$resultado="HUBO ERRORES";
		}
		
	
	}

//EDITAR PLANILLA DATOS
$rs = mysql_query("SELECT * FROM planilla_datos where (usu_crea='$usuario') and sincro='E'");
	while($row = mysql_fetch_array($rs)){
		
		$planillas2=$cliente_web->call("editar_planilla_datos" , array("planilla_id"=>$row['planilla_id'], "folio_planilla"=>$row['folio_planilla'], "hora_registro"=>$row['hora_registro'], "valor1_ingresado"=>$row['valor1_ingresado'], "valor2_ingresado"=>$row['valor2_ingresado'], "id_norma_detalle"=>$row['id_norma_detalle'], "defecto_id"=>$row['defecto_id'], "norma_id"=>$row['norma_id'], "cumple_norma"=>$row['cumple_norma'], "a_correctiva"=>$row['a_correctiva'], "nlote"=>$row['nlote'], "npallet"=>$row['npallet'], "nproceso"=>$row['nproceso'], "nhidro"=>$row['nhidro'], "nfrio"=>$row['nfrio'], "ncamara"=>$row['ncamara'], "nembarque"=>$row['nembarque'], "nlinea"=>$row['nlinea'], "nsalida"=>$row['nsalida'], "nespecie"=>$row['nespecie'], "observacion"=>$row['observacion'], "usu_crea"=>$row['usu_crea'], "fecha_crea"=>$row['fecha_crea'], "sincro"=>$row['sincro']));
		
		//echo $planillas2;	//debuelve folio_planilla
				
		$sql = "UPDATE planilla_datos SET  
		sincro='S'
		WHERE planilla_id='$planillas2'";
		$result = @mysql_query($sql);
		if ($result){
				$resultado="BIEN";
		
		} else {
			$resultado="HUBO ERRORES";
		}
		
	}

//PLANILLA PROCESOS ACTIVOS
	//SUBIR PLANILLA DIA
$rs = mysql_query("SELECT * FROM planilla_dia where (usu_crea='$usuario') and (sincro='N' or sincro='NE')");
	while($row = mysql_fetch_array($rs)){
		
		
		$planillas=$cliente_web->call("guardar_planilla_dia" , array("id_planilla_dia"=>$row['id_planilla_dia'], "cliente_cod"=>$row['cliente_cod'], "exportador_cod"=>$row['exportador_cod'], "packing_cod"=>$row['packing_cod'], "fecha_proceso"=>$row['fecha_proceso'], "estado"=>$row['estado'], "usu_crea"=>$row['usu_crea'], "fecha_crea"=>$row['fecha_crea'], "sincro"=>$row['sincro']));
			
		
		//echo $planillas;	//debuelve folio_planilla
				
					$sql = "UPDATE planilla_dia SET  
					sincro='S'
					WHERE id_planilla_dia='$planillas'";
					$result = @mysql_query($sql);
		
		if ($result){
				$resultado="BIEN";
	
		} else {
			$resultado="HUBO ERRORES";
		}
		
	
	}

//EDITAR PLANILLA DIA
$rs = mysql_query("SELECT * FROM planilla_dia where (usu_crea='$usuario') and sincro='E'");
	while($row = mysql_fetch_array($rs)){
		
		$planillas2=$cliente_web->call("editar_planilla_dia" , array("id_planilla_dia"=>$row['id_planilla_dia'], "cliente_cod"=>$row['cliente_cod'], "exportador_cod"=>$row['exportador_cod'], "packing_cod"=>$row['packing_cod'], "fecha_proceso"=>$row['fecha_proceso'], "estado"=>$row['estado'], "usu_crea"=>$row['usu_crea'], "fecha_crea"=>$row['fecha_crea'], "sincro"=>$row['sincro']));
		
		//echo $planillas2;	//debuelve folio_planilla
				
		$sql = "UPDATE planilla_dia SET  
		sincro='S'
		WHERE id_planilla_dia='$planillas2'";
		$result = @mysql_query($sql);
		if ($result){

				$resultado="BIEN";
	
		} else {
			$resultado="HUBO ERRORES";
		}
		
	}

	

//SUBIR PLANILLA PROCESO DIA
$rs = mysql_query("SELECT planilla_proceso_dia.id_planilla_proceso_dia, planilla_proceso_dia.contador, planilla_proceso_dia.id_planilla_dia, planilla_proceso_dia.nproceso, planilla_proceso_dia.productor_cod, planilla_proceso_dia.especie_cod, planilla_proceso_dia.variedad_cod, planilla_proceso_dia.kilos, planilla_proceso_dia.bandejas, planilla_proceso_dia.estado, planilla_proceso_dia.sincro FROM planilla_proceso_dia INNER JOIN planilla_dia ON planilla_dia.id_planilla_dia=planilla_proceso_dia.id_planilla_dia WHERE (planilla_dia.usu_crea='$usuario') and (planilla_proceso_dia.sincro='N' or planilla_proceso_dia.sincro='NE')");
	while($row = mysql_fetch_array($rs)){
		
		
		$planillas=$cliente_web->call("guardar_planilla_proceso_dia" , array("id_planilla_proceso_dia"=>$row['id_planilla_proceso_dia'], "contador"=>$row['contador'], "id_planilla_dia"=>$row['id_planilla_dia'], "nproceso"=>$row['nproceso'], "productor_cod"=>$row['productor_cod'], "especie_cod"=>$row['especie_cod'], "variedad_cod"=>$row['variedad_cod'], "kilos"=>$row['kilos'], "bandejas"=>$row['bandejas'], "estado"=>$row['estado'], "sincro"=>$row['sincro']));
			
		
		//echo $planillas;	//debuelve folio_planilla
				
					$sql = "UPDATE planilla_proceso_dia SET  
					sincro='S'
					WHERE id_planilla_proceso_dia='$planillas'";
					$result = @mysql_query($sql);
				
		
		if ($result){
				$resultado="BIEN";		
		} else {
			$resultado="HUBO ERRORES";
		}
		
	
	}

//EDITAR PLANILLA PROCESO DIA
$rs = mysql_query("SELECT planilla_proceso_dia.id_planilla_proceso_dia, planilla_proceso_dia.contador, planilla_proceso_dia.id_planilla_dia, planilla_proceso_dia.nproceso, planilla_proceso_dia.productor_cod, planilla_proceso_dia.especie_cod, planilla_proceso_dia.variedad_cod, planilla_proceso_dia.kilos, planilla_proceso_dia.bandejas, planilla_proceso_dia.estado, planilla_proceso_dia.sincro FROM planilla_proceso_dia INNER JOIN planilla_dia ON planilla_dia.id_planilla_dia=planilla_proceso_dia.id_planilla_dia WHERE (planilla_dia.usu_crea='$usuario') and planilla_proceso_dia.sincro='E'");
	while($row = mysql_fetch_array($rs)){
		
		$planillas2=$cliente_web->call("editar_planilla_proceso_dia" , array("id_planilla_proceso_dia"=>$row['id_planilla_proceso_dia'], "contador"=>$row['contador'], "id_planilla_dia"=>$row['id_planilla_dia'], "nproceso"=>$row['nproceso'], "productor_cod"=>$row['productor_cod'], "especie_cod"=>$row['especie_cod'], "variedad_cod"=>$row['variedad_cod'], "kilos"=>$row['kilos'], "bandejas"=>$row['bandejas'], "estado"=>$row['estado'], "sincro"=>$row['sincro']));
		
		//echo $planillas2;	//debuelve folio_planilla
				
		$sql = "UPDATE planilla_proceso_dia SET  
		sincro='S'
		WHERE id_planilla_proceso_dia='$planillas2'";
		$result = @mysql_query($sql);
		if ($result){
			$resultado="BIEN";
		} else {
			$resultado="HUBO ERRORES";
		}
		
	}


//fin
	if ($resultado=="BIEN"){
		echo "Datos Sincronizados";
	} else {
		echo "Error De Sincronizacion";
	}
?>